Update perl(:MODULE_COMPAT_*)


Security fix for CVE-2017-12837 CVE-2017-12883 (see http://search.cpan.org/dist/perl-5.24.3/pod/perldelta.pod)

How to install

sudo dnf upgrade --advisory=FEDORA-2017-2008fdd7e2

This update has been submitted for testing by jplesnik.

3 years ago

This update has obsoleted perl-5.24.3-388.fc25, and has inherited its bugs and notes.

3 years ago

This update has been pushed to testing.

3 years ago
User Icon mooninite commented & provided feedback 3 years ago
karma

Needed for ImageMagick-perl (perl(:MODULE_COMPAT_*) fixes)

This update has reached 7 days in testing and can be pushed to stable now if the maintainer wishes

3 years ago

This update has been submitted for batched by jplesnik.

3 years ago

This update has been submitted for stable by jplesnik.

3 years ago

This update has been pushed to stable.

3 years ago

Please login to add feedback.

Metadata
Type
security
Karma
1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
3 years ago
in testing
3 years ago
in stable
3 years ago
BZ#1492091 CVE-2017-12837 perl: Heap buffer overflow in regular expression compiler
0
0
BZ#1492093 CVE-2017-12883 perl: Buffer over-read in regular expression parser
0
0
BZ#1492094 CVE-2017-12837 CVE-2017-12883 perl: various flaws [fedora-all]
0
0

Automated Test Results

Test Cases

0 0 Test Case Perl sanity